# KSPGetNormType

Sets the norm that is used for convergence testing.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGetNormType(KSP ksp, KSPNormType *normtype)

Not Collective

### Input Parameter

ksp -Krylov solver context

### Output Parameter

normtype -norm that is used for convergence testing

### Keywords

KSP, create, context, norms

### See Also

KSPNormType, KSPSetNormType(), KSPSkipConverged()

Level:advanced
Location: src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages